PR_CAP_AMBIENT_IS_SET(2const)

NAME
PR_CAP_AMBIENT_IS_SET - read the ambient capability set of the calling thread

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/prctl.h>  /* Definition of PR_* constants */
#include <sys/prctl.h>

int prctl(PR_CAP_AMBIENT, PR_CAP_AMBIENT_IS_SET, long cap, 0L, 0L);

DESCRIPTION
This call returns 1 if the capability in cap is in the ambient capability set and 0 if it is not.

RETURN VALUE
On success, this call returns the boolean value described above. On error, -1 is returned, and errno is set to indicate the error.

ERRORS

EINVAL
    cap does not specify a valid capability.

VERSIONS
See PR_CAP_AMBIENT(2const).

STANDARDS
Linux.

HISTORY
Linux 4.3.

SEE ALSO
prctl(2), PR_CAP_AMBIENT(2const), libcap(3)